Update an MCP server configuration for a site
Modifies an existing MCP server's configuration. Only provided fields are updated; omitting a field leaves it unchanged. Set condition to null to remove it and make the MCP server available to all visitors.
A unique entity identifier
^[a-zA-Z0-9_-]+$The unique id of the site
The unique id of the MCP server
Name of the MCP server
Transport protocol used to connect to the MCP server
ssePossible values: Conditional expression used to evaluate whether the MCP server should be available to the site's visitor (should evaluate to a boolean). If not set, the condition will remain unchanged. If set to null, the condition will be removed.
OK
Unique identifier for the MCP server
Name of the MCP server
Transport protocol used to connect to the MCP server
ssePossible values: Conditional expression used to evaluate whether the MCP server should be available to the site's visitor.
PATCH /v1/orgs/{organizationId}/sites/{siteId}/mcp-servers/{siteMcpServerId} HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 125
{
"name": "text",
"url": "https://example.com",
"transport": "sse",
"headers": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"condition": "text"
}OK
{
"object": "site-mcp-server",
"id": "text",
"name": "text",
"url": "https://example.com",
"transport": "sse",
"headers": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"condition": "text",
"urls": {
"location": "https://example.com"
}
}Last updated
Was this helpful?